> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# GPT-Результат изображения [Неофициальный]

> Результат создания изображения запроса



## OpenAPI

````yaml openapi/ru/openai.json get /openai/gpt/fetch
openapi: 3.1.0
info:
  title: Документация OpenAI API
  version: 1.0.0
  description: TTAPI OpenAI API сервис
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /openai/gpt/fetch:
    get:
      description: Результат создания изображения запроса
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: >-
            Идентификатор задания, возвращаемый синхронно конечной точкой
            генерации (поддерживает параметры/тело запроса URL)
          example: 0ccf0606-3f32-4090-85bd-1786e4593be5
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - SUCCESS
                      - ON_QUEUE
                      - FAILED
                    description: >-
                      Статус задачи: ON_QUEUE — выполняется, SUCCESS — успешно,
                      FAILED — ошибка.
                    example: SUCCESS
                  message:
                    type:
                      - string
                      - 'null'
                    description: >-
                      Ответное сообщение: возвращает успех в случае успеха,
                      возвращает конкретную причину ошибки в случае сбоя,
                      возвращает ноль во время обработки.
                    example: success
                  jobId:
                    type: string
                    description: >-
                      Уникальный идентификатор задачи для запроса статуса задачи
                      или получения уведомлений об обратном вызове.
                    example: 5ecc5080-b1d7-4b9f-8184-435e46ebb5cb
                  data:
                    description: >-
                      Данные задачи (различные поля возвращаются в зависимости
                      от статуса)
                    oneOf:
                      - title: SUCCESS
                        type: object
                        properties:
                          prompt:
                            type: string
                            description: Текстовая подсказка для создания изображения
                            example: >-
                              A professional full-body flat lay photo of a
                              beautiful female model wearing this outfit. High
                              resolution, photorealistic, perfect detail of all
                              clothing elements, professional pose, attractive
                              figure, trendy style, smiling, fair-skinned
                              Caucasian woman.
                          referImages:
                            type: array
                            items:
                              type: string
                            description: Справочное изображение Список URL
                            example:
                              - >-
                                https://cdn.ttapi.io/demo/2025-03-30/5d17dd5207daeeac86bcecd2d6405a0.jpg
                          imageUrl:
                            type: string
                            description: >-
                              Сгенерированное изображение результата URL
                              (возвращается в случае успеха). Срок действия см.
                              в разделе [Хранение и
                              сохранение](/grids/ru/faq/storage).
                            example: >-
                              https://cdnc.ttapi.io/2025-03-31/cd3f3ce5-06be-4b3a-9aed-014045ca1804.png
                          quota:
                            type: string
                            description: Израсходованная quota
                            example: '2'
                          finishTime:
                            type: string
                            description: >-
                              Время завершения задачи (формат: YYYY-MM-DD
                              ЧЧ:мм:сс)
                            example: '2025-03-31 04:25:33'
                          hookUrl:
                            type: string
                            description: URL обратного вызова
                            example: >-
                              https://webhook-test.com/b129b43b6619f977b3227387fc290f7d
                        required:
                          - prompt
                          - referImages
                          - imageUrl
                          - quota
                          - finishTime
                          - hookUrl
                      - title: ON_QUEUE
                        type: object
                        properties:
                          prompt:
                            type: string
                            description: Текстовая подсказка для создания изображения
                            example: >-
                              A professional full-body flat lay photo of a
                              beautiful female model wearing this outfit. High
                              resolution, photorealistic, perfect detail of all
                              clothing elements, professional pose, attractive
                              figure, trendy style, smiling, fair-skinned
                              Caucasian woman.
                          referImages:
                            type: array
                            items:
                              type: string
                            description: Справочное изображение Список URL
                            example:
                              - >-
                                https://cdn.ttapi.io/demo/2025-03-30/5d17dd5207daeeac86bcecd2d6405a0.jpg
                          imageUrl:
                            type: 'null'
                            description: >-
                              Сгенерированное изображение результата URL (во
                              время обработки возвращает ноль)
                            example: null
                          quota:
                            type: string
                            description: Израсходованная quota
                            example: '2'
                          finishTime:
                            type: 'null'
                            description: >-
                              Время завершения задачи (во время обработки
                              возвращается ноль)
                            example: null
                          hookUrl:
                            type: string
                            description: URL обратного вызова
                            example: >-
                              https://webhook-test.com/b129b43b6619f977b3227387fc290f7d
                        required:
                          - prompt
                          - referImages
                          - quota
                          - hookUrl
                      - title: FAILED
                        type: object
                        properties:
                          prompt:
                            type: string
                            description: Текстовая подсказка для создания изображения
                            example: >-
                              A professional full-body photo of a beautiful
                              Chinese female model in a studio lighting setup
                              trying on clothes. High resolution,
                              photorealistic, professional pose,
                              well-proportioned figure, smiling, fair skin.
                          referImages:
                            type: array
                            items:
                              type: string
                            description: Справочное изображение Список URL
                            example:
                              - >-
                                https://cdn.ttapi.io/demo/2025-03-30/5d17dd5207daeeac86bcecd2d6405a0.jpg
                          imageUrl:
                            type: 'null'
                            description: >-
                              Сгенерированное изображение результата URL (в
                              случае ошибки возвращает ноль)
                            example: null
                          quota:
                            type: string
                            description: Израсходованная квота (в случае сбоя возвращает 0)
                            example: '0'
                          finishTime:
                            type: string
                            description: >-
                              Время завершения задачи (формат: YYYY-MM-DD
                              ЧЧ:мм:сс)
                            example: '2025-03-31 04:10:21'
                          hookUrl:
                            type: string
                            description: URL обратного вызова
                            example: >-
                              https://webhook-test.com/b129b43b6619f977b3227387fc290f7d
                        required:
                          - prompt
                          - referImages
                          - quota
                          - finishTime
                          - hookUrl
                required:
                  - status
                  - message
                  - jobId
                  - data
              examples:
                SUCCESS:
                  summary: Статус успеха
                  value:
                    status: SUCCESS
                    message: success
                    jobId: 5ecc5080-b1d7-4b9f-8184-435e46ebb5cb
                    data:
                      prompt: >-
                        A professional full-body flat lay photo of a beautiful
                        female model wearing this outfit. High resolution,
                        photorealistic, perfect detail of all clothing elements,
                        professional pose, attractive figure, trendy style,
                        smiling, fair-skinned Caucasian woman.
                      referImages:
                        - >-
                          https://cdn.ttapi.io/demo/2025-03-30/5d17dd5207daeeac86bcecd2d6405a0.jpg
                      imageUrl: >-
                        https://cdnc.ttapi.io/2025-03-31/cd3f3ce5-06be-4b3a-9aed-014045ca1804.png
                      quota: '2'
                      finishTime: '2025-03-31 04:25:33'
                      hookUrl: >-
                        https://webhook-test.com/b129b43b6619f977b3227387fc290f7d
                ON_QUEUE:
                  summary: Статус обработки
                  value:
                    status: ON_QUEUE
                    message: null
                    jobId: 0ccf0606-3f32-4090-85bd-1786e4593be5
                    data:
                      prompt: >-
                        A professional full-body flat lay photo of a beautiful
                        female model wearing this outfit. High resolution,
                        photorealistic, perfect detail of all clothing elements,
                        professional pose, attractive figure, trendy style,
                        smiling, fair-skinned Caucasian woman.
                      referImages:
                        - >-
                          https://cdn.ttapi.io/demo/2025-03-30/5d17dd5207daeeac86bcecd2d6405a0.jpg
                      imageUrl: null
                      quota: '2'
                      finishTime: null
                      hookUrl: >-
                        https://webhook-test.com/b129b43b6619f977b3227387fc290f7d
                FAILED:
                  summary: Статус сбоя
                  value:
                    status: FAILED
                    message: job failed
                    jobId: b45fcf32-71a5-4df2-82c7-2e6300e32e29
                    data:
                      prompt: >-
                        A professional full-body photo of a beautiful Chinese
                        female model in a studio lighting setup trying on
                        clothes. High resolution, photorealistic, professional
                        pose, well-proportioned figure, smiling, fair skin.
                      referImages:
                        - >-
                          https://cdn.ttapi.io/demo/2025-03-30/5d17dd5207daeeac86bcecd2d6405a0.jpg
                      imageUrl: null
                      quota: '0'
                      finishTime: '2025-03-31 04:10:21'
                      hookUrl: >-
                        https://webhook-test.com/b129b43b6619f977b3227387fc290f7d
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````